> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/finpay-disbursement/direct-integration-core-api/transfer.md).

# Transfer

| Environment | Method | URL                                                               |
| ----------- | ------ | ----------------------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/pg/payment/card/disbursement/transfer> |
| Production  | POST   | <https://live.finnet.co.id/pg/payment/card/disbursement/transfer> |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name         | Type                                                   | Mandatory | Min Length | Max Length | Description            |
| -- | ------------ | ------------------------------------------------------ | --------- | ---------- | ---------- | ---------------------- |
| 1  | order        | [Object](/appendix/json-object/order-object.md)        | M         | 1          | 12         | Detail of Order        |
| 2  | disbursement | [Object](/appendix/json-object/disbursement-object.md) | M         | 1          | 11         | Detail of Disbursement |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "order": {
    "id": "{orderId}"
  },
  "disbursement": {
    "refCode": "d191f909-d443-4d18-855c-aaea045f9a78",
    "amount": 1000,
    "destAccName": "Siti Finpay",
    "destAccNumber": "654321770",
    "destBankCode": "07615"
  }
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type                                                | Mandatory | Min Length | Max Length | Description              |
| -- | --------------- | --------------------------------------------------- | --------- | ---------- | ---------- | ------------------------ |
| 1  | responseCode    | [Enum](/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | Response Code            |
| 2  | responseMessage | String                                              | M         | 1          | 500        | Response Message         |
| 3  | refCode         | String                                              | M         | 36         | 36         | Reference Code           |
| 4  | destAccName     | String                                              | M         | 3          | 100        | Destination Account Name |
| 5  | feeAmount       | Number                                              | M         |            |            | Amount Fee               |
| 6  | processingTime  | Number                                              | M         |            |            | Processing Time          |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2000000",
  "responseMessage": "Success",
  "refCode": "3f4f9a16-b3c0-4d7d-9e28-f91c9c933f2b",
  "destAccName": "Siti Finpay",
  "feeAmount": 8322,
  "processingTime": 1.1366159915924072
}
```

## POST /pg/payment/card/disbursement/transfer

> Transfer

```json
{"openapi":"3.0.1","info":{"title":"Disbursement","version":"1.0.0"},"servers":[{"url":"https://devo.finnet.co.id","description":"Development Environment"},{"url":"https://live.finnet.co.id","description":"Production Environment"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}},"responses":{"Transfer - Inactive Account":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","properties":{"responseCode":{"type":"string"},"responseMessage":{"type":"string"},"processingTime":{"type":"number"},"traceId":{"type":"string"}},"required":["responseCode","responseMessage","processingTime","traceId"]}}}}}},"paths":{"/pg/payment/card/disbursement/transfer":{"post":{"summary":"Transfer","deprecated":false,"description":"","tags":[],"parameters":[{"name":"Accept","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"order":{"type":"object","properties":{"id":{"type":"string","maxLength":30,"description":"Partner Reference ID."}},"required":["id"]},"disbursement":{"type":"object","properties":{"refCode":{"type":"string","maxLength":127,"description":"Reference Code from Inquiry"},"feeAmount":{"type":"number","maximum":999999999999,"minimum":0,"description":"Surcharge Fee","nullable":true},"amount":{"type":"number","maximum":999999999999,"minimum":1,"description":"Transfer Amount"},"destAccName":{"type":"string","maxLength":100,"description":"Beneficiary Account Holder Name"},"destAccNumber":{"type":"string","minLength":8,"maxLength":16,"description":"Beneficiary Account Number"},"destBankCode":{"type":"string","description":"Beneficiary Bank Code. Valid bank code enum obtained from Bank List API.","maxLength":5}},"required":["refCode","amount","destBankCode","destAccName","destAccNumber"]}},"required":["order","disbursement"]}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"responseCode":{"type":"string","maxLength":7,"description":"Response Code"},"responseMessage":{"type":"string","maxLength":500,"description":"Response Message Detail"},"refCode":{"type":"string","description":"Reference Code from Finnet. Mandatory for Transfer Request.","minLength":32,"maxLength":32},"destAccName":{"type":"string","maxLength":100,"minLength":3,"description":"Beneficiary Account Holder Name"},"feeAmount":{"type":"integer","description":"Fee Amount"},"processingTime":{"type":"number","description":"Processing time in second"}},"required":["responseCode","responseMessage","refCode","destAccName","feeAmount","processingTime"]}}},"headers":{}},"404":{"$ref":"#/components/responses/Transfer - Inactive Account","description":"Not Found"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.finpay.id/finpay-disbursement/direct-integration-core-api/transfer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
